{
  "parent": "minecraft:adventure/kill_mob_near_sculk_catalyst",
  "criteria": {
    "minecraft:cave_spider": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:cave_spider"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "minecraft:creeper": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:creeper"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "minecraft:husk": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:husk"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "minecraft:ravager": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:ravager"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "minecraft:slime": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:slime"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "minecraft:spider": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:spider"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    }
  },
  "display": {
    "announce_to_chat": true,
    "description": {
      "translate": "advancements.adventure.kill_all_mobs.description"
    },
    "frame": "challenge",
    "hidden": false,
    "icon": {
      "item": "minecraft:diamond_sword",
      "nbt": "{Damage:0}"
    },
    "show_toast": true,
    "title": {
      "translate": "advancements.adventure.kill_all_mobs.title"
    }
  },
  "requirements": [
    [
      "minecraft:cave_spider"
    ],
    [
      "minecraft:creeper"
    ],
    [
      "minecraft:husk"
    ],
    [
      "minecraft:ravager"
    ],
    [
      "minecraft:slime"
    ],
    [
      "minecraft:spider"
    ]
  ],
  "rewards": {
    "experience": 100
  },
  "sends_telemetry_event": false
}